const utils = require('j7/utils');

class BaseWrap {

  constructor(json) {
    this._json = json;
  }

  _getHandler() {
    return {
      get: (obj, prop) => {
        if (prop in obj._json) {
          let val = obj._json[prop];
          if (utils.isArray(val)) {
            return new Proxy(val, {
              set: () => {
                console.log(33333);
              }
            });
          } else if (utils.isObject(val)) {
            return new Proxy(val, {
              set: () => {
                console.log(33333);
              }
            });
          } else {
            return val;
          }
        }
        return prop in obj ? obj[prop] : null;
      },
      set: () => {
        console.log(111111);
      }
    };
  }

}

class Config extends BaseWrap {

}

exports.Config = Config;
