from google.oauth2 import service_account
from google.auth.transport.requests import AuthorizedSession

SCOPES = ['https://www.googleapis.com/auth/androidpublisher']
SERVICE_ACCOUNT_FILE = '/root/pub/commservices/server/loginserver_be/service_account.json'

credentials = service_account.Credentials.from_service_account_file(SERVICE_ACCOUNT_FILE, scopes=SCOPES)

authed_session = AuthorizedSession(credentials)
response = authed_session.get('https://androidpublisher.googleapis.com/androidpublisher/v3/applications/14/purchases/products/1/tokens/2')
print(credentials.valid)
print(str(response.content))
#print(response.__dict__)
