package main

import (
	"f5"
)

type App_ struct {
	f5.App_
}

var App = new (App_)

func (this *App_) Init() {
	f5.App = &this.App_
	f5.App.SetPkgName("mailman")
	this.App_.Init()
	G.MetaMgr = new(MetaMgr).Init()
	G.GameLog = new(GameLog).Init()
	G.HttpServer = new(f5.HttpServer).Init("httpserver", 1000 * 60)
	G.GameMgr = new(GameMgr).Init()

	G.HttpServer.Start(G.MetaMgr.GetCurrServer().GetListenPort());
}

func (this *App_) UnInit() {
	G.GameMgr.UnInit()
	G.HttpServer.UnInit()
	G.GameLog.UnInit()
	G.MetaMgr.UnInit()
	this.App_.UnInit()
}
